Filter (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class Filter

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.Filter

    public class Filter

extends java.lang.Object

Container for a PDF stream filter.

Author:
  Gary McGath

Constructor Summary
`Filter(java.lang.String name)` Constructor.

Method Summary
`PdfDictionary` | `getDecodeParms()` Returns the DecodeParms dictionary, or null if there is none.
`java.lang.String` | `getFilterName()` Returns the name of the filter.
`java.lang.String` | `getNameParam()` Returns the "Name" parameter of the filter, or `null` if there is no such parameter.
`void` | `setDecodeParms(PdfDictionary parms)` Stores the DecodeParms or FDecodeParms dictionary which is associated with this filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Filter

    public Filter(java.lang.String name)

  Constructor.

  Parameters:
    `name` - The name of the filter.

Method Detail

### getFilterName

    public java.lang.String getFilterName()

  Returns the name of the filter.

### getDecodeParms

    public PdfDictionary getDecodeParms()

  Returns the DecodeParms dictionary, or null if there is none.

### getNameParam

    public java.lang.String getNameParam()

  Returns the "Name" parameter of the filter, or `null` if there is no such parameter. This is normally associated with a Crypt filter, and shouldn't be confused with the name of the filter.

### setDecodeParms

    public void setDecodeParms(PdfDictionary parms)

  Stores the DecodeParms or FDecodeParms dictionary which is associated with this filter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD